
/*
		ItemQuery.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/
#include "stdafx.h"
#include "Cbreak.h"
#include "ItemQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ItemQuery dialog


ItemQuery::ItemQuery(int def, CWnd* pParent /*=NULL*/)
	: CDialog(ItemQuery::IDD, pParent)
{
	//{{AFX_DATA_INIT(ItemQuery)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	def = value;
}


void ItemQuery::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ItemQuery)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ItemQuery, CDialog)
	//{{AFX_MSG_MAP(ItemQuery)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ItemQuery message handlers

void ItemQuery::OnOK() 
{
	int count;
    char buf[512];
    char *p;
	count=((CComboBox *) GetDlgItem(IDC_QUERY_ITEM))->GetCurSel();
	((CComboBox *) GetDlgItem(IDC_QUERY_ITEM))->GetLBText(count,buf);
  p=strchr(buf,' ');
	*p='\0';
	value = atoi(buf);

	CDialog::OnOK();
}

BOOL ItemQuery::OnInitDialog() 
{
	CDialog::OnInitDialog();
	map<int,Obj>::const_iterator oi;
    extern World the_world;

  if(!the_world.obj_list.empty()) {
    for(oi = the_world.obj_list.begin();oi != the_world.obj_list.end();oi++) {
	   ((CComboBox *) GetDlgItem(IDC_QUERY_ITEM))->AddString(
				iprintf("%d - %s ",oi->first,oi->second.sdesc.c_str()));
		}
		oi=the_world.obj_list.begin();
	  ((CComboBox *) GetDlgItem(IDC_QUERY_ITEM))->SelectString(-1,
			iprintf("%d - %s ",oi->first, oi->second.sdesc.c_str()));
	}
 
  if(!the_world.obj_list.size()) {
		GetDlgItem(IDC_QUERY_ITEM)->EnableWindow(FALSE);
  } else {
		GetDlgItem(IDC_QUERY_ITEM)->EnableWindow(TRUE);
  }
	
	return TRUE; 
}
