/*
		JumpToRoom.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.
.		
		Class for dialog of same name
*/
#pragma warning(disable:4786)
#include "stdafx.h"
#include "Cbreak.h"
#include "JumpToRoom.h"
#include "Redit.h"
#include "utils.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// JumpToRoom dialog


JumpToRoom::JumpToRoom(int def, CWnd* pParent /*=NULL*/)
	: CDialog(JumpToRoom::IDD, pParent)
{
	//{{AFX_DATA_INIT(JumpToRoom)
	m_jump_string = _T("");
	m_new_room = 0;
	//}}AFX_DATA_INIT
	red = def;
}


void JumpToRoom::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(JumpToRoom)
	DDX_Text(pDX, IDC_JUMP_WARNING, m_jump_string);
	DDX_Text(pDX, IDC_NEWROOM, m_new_room);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(JumpToRoom, CDialog)
	//{{AFX_MSG_MAP(JumpToRoom)
	ON_EN_CHANGE(IDC_NEWROOM, OnChangeNewroom)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// JumpToRoom message handlers
extern World the_world;

BOOL JumpToRoom::OnInitDialog() 
{
	extern CCbreakApp theApp;
    
	CDialog::OnInitDialog();
    
	GetDlgItem(IDC_NEWROOM)->SetFocus();

//	SetWindowText(iprintf("%d",the_world->room_list[theApp.dlg->current_room].number ));
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void JumpToRoom::OnOK() 
{
  extern CCbreakApp theApp;
  map<int,Room>::const_iterator ri;

	if(m_new_room > 32699 || m_new_room < 0) {
	  m_jump_string = "Out of Range";
		UpdateData(FALSE);
		return;
	}

	ri = the_world.room_list.find(m_new_room);
	if(ri==the_world.room_list.end()) {
		m_jump_string = "That room DNE";
		UpdateData(FALSE);
		return;
	}

	theApp.dlg->current_room = m_new_room;
	
	if(red) {
  	  theApp.dlg->m_redit.LoadRedit();
	} else {
      theApp.dlg->m_zedit.LoadZedit();
    }

	CDialog::OnOK();
}

void JumpToRoom::OnChangeNewroom() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
  UpdateData();	
}
